/*
 *  Copyright (C) 2004 Morten Fjord-Larsen
 *
 *  $Id: msgdialog.c,v 1.1 2004/04/30 12:43:49 fjord Exp $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdarg.h>
#include <gtk/gtk.h>

void msg_dialog_display(const char *fmt, ...)
{
    GtkWidget *dialog;
    gchar *str;
    va_list va;

    va_start(va, fmt);
    str = g_strdup_vprintf(fmt, va);
    va_end(va);

    dialog = gtk_message_dialog_new (NULL,
	    GTK_DIALOG_DESTROY_WITH_PARENT,
	    GTK_MESSAGE_ERROR,
	    GTK_BUTTONS_CLOSE,
	    str);
	    
    gtk_dialog_run(GTK_DIALOG(dialog));
    gtk_widget_destroy(dialog);
    g_free(str);
}
