/*
 *  Copyright (C) 2004 Morten Fjord-Larsen
 *
 *  $Id: rundialog.c,v 1.1.1.1 2004/04/26 23:58:51 fjord Exp $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <glade/glade.h>

int run_dialog_with_data(const char *glade_file, 
			 const char *root,
			 gpointer user_data)
{
    GladeXML *xml;
    GtkWidget *dialog;
    int rc;

    xml = glade_xml_new(glade_file, NULL, NULL);
    g_assert(xml != NULL);
    glade_xml_signal_autoconnect(xml);

    dialog = glade_xml_get_widget(xml, root);
    g_assert(dialog != NULL);

    if (user_data != NULL)
	gtk_object_set_user_data(GTK_OBJECT(dialog), user_data);

    rc = gtk_dialog_run(GTK_DIALOG(dialog));
    gtk_widget_destroy(dialog);

    return rc;
}


int run_dialog(const char *glade_file, const char *root)
{
    return run_dialog_with_data(glade_file, root, NULL);
}

